Subject: Re: Kernel panic when loading the IDE controller driver

From: sgosavi1 <[email-masked]>
Date: Thu, 14 Feb 2019 01:17:11 -0700 (MST)

> Maybe look around 
> https://git.kernel.org/pub/scm/linux/kernel/git/stable/linux.git/commit/?
> id=9a0e77f28b50128df0c9e26ae489e44e29a7270a

>Also look at ide_platform.c. I imagine there must be some way to set it 
>up in your device tree.

I have gone through this before and also tried the pata_platform driver but
no success yet. I haven't found any example that passes the IO ports and IRQ
information through the device tree to the driver code.

Thanks,
Sachin.

--
Sent from: http://linuxppc.10917.n7.nabble.com/linuxppc-dev-f3.html